TCPServerLocatorSchema (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.uri

## Class TCPServerLocatorSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>
  - - org.apache.activemq.artemis.uri.AbstractServerLocatorSchema
    - - org.apache.activemq.artemis.uri.TCPServerLocatorSchema

-     public class TCPServerLocatorSchema
      extends AbstractServerLocatorSchema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCPServerLocatorSchema()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()`
    `static URI` | `getURI(String query, TransportConfiguration[] staticConnectors)`
    `protected ServerLocator` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(ServerLocator bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.AbstractServerLocatorSchema

      `newConnectionOptions`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `copyData, getData, getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCPServerLocatorSchema

          public TCPServerLocatorSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`

    - #### internalNewObject

          protected ServerLocator internalNewObject(URI uri,
                                                    Map<String,String> query,
                                                    String name)
                                             throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(ServerLocator bean)
                                throws Exception

      Specified by:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<ServerLocator,String>`
      Throws:
        `Exception`

    - #### getURI

          public static URI getURI(String query,
                                   TransportConfiguration[] staticConnectors)
                            throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.